You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@tinkerpop.apache.org by dk...@apache.org on 2016/01/23 17:07:26 UTC

[1/4] incubator-tinkerpop git commit: check if Gremlin Server is already running and cancel the doc pre-processor if it is

Repository: incubator-tinkerpop
Updated Branches:
  refs/heads/TINKERPOP-818 d93c5217d -> 40df5184d


check if Gremlin Server is already running and cancel the doc pre-processor if it is


Project: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/commit/427806b7
Tree: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/tree/427806b7
Diff: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/diff/427806b7

Branch: refs/heads/TINKERPOP-818
Commit: 427806b7147d055a02e81d513a4645fccc7e5115
Parents: 51c4326
Author: Daniel Kuppitz <da...@hotmail.com>
Authored: Thu Jan 14 14:16:05 2016 +0100
Committer: Daniel Kuppitz <da...@hotmail.com>
Committed: Thu Jan 14 14:16:05 2016 +0100

----------------------------------------------------------------------
 docs/preprocessor/preprocess.sh | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/blob/427806b7/docs/preprocessor/preprocess.sh
----------------------------------------------------------------------
diff --git a/docs/preprocessor/preprocess.sh b/docs/preprocessor/preprocess.sh
index 62a8b23..00d887b 100755
--- a/docs/preprocessor/preprocess.sh
+++ b/docs/preprocessor/preprocess.sh
@@ -36,6 +36,11 @@ do
   fi
 done
 
+netstat -an | awk '{print $4}' | grep -o '[0-9]*$' | grep 8182 > /dev/null && {
+  echo "The port 8182 is required for Gremlin Server, but already in use. Be sure to close the application that currently uses the port before processing the docs."
+  exit 1
+}
+
 if [ -e /tmp/neo4j ]; then
   echo "The directory '/tmp/neo4j' is required by the pre-processor, be sure to delete it before processing the docs."
   exit 1
@@ -69,14 +74,10 @@ HISTORY_FILE=`find . -name Console.groovy | xargs grep HISTORY_FILE | head -n1 |
 [ ${HISTORY_FILE} ] || HISTORY_FILE=".gremlin_groovy_history"
 [ -f ~/${HISTORY_FILE} ] && cp ~/${HISTORY_FILE} ${TMP_DIR}
 
-GREMLIN_SERVER=$(netstat -a | grep -o ':8182[0-9]*' | grep -cx ':8182')
-
-if [ ${GREMLIN_SERVER} -eq 0 ]; then
-  pushd gremlin-server/target/apache-gremlin-server-*-standalone > /dev/null
-  bin/gremlin-server.sh conf/gremlin-server-modern.yaml > /dev/null 2> /dev/null &
-  GREMLIN_SERVER_PID=$!
-  popd > /dev/null
-fi
+pushd gremlin-server/target/apache-gremlin-server-*-standalone > /dev/null
+bin/gremlin-server.sh conf/gremlin-server-modern.yaml > /dev/null 2> /dev/null &
+GREMLIN_SERVER_PID=$!
+popd > /dev/null
 
 function cleanup() {
   echo -ne "\r\n\n"
@@ -85,7 +86,7 @@ function cleanup() {
   find ${TP_HOME}/docs/src/ -name "*.asciidoc.groovy" | xargs rm -f
   [ -f ${TMP_DIR}/${HISTORY_FILE} ] &&  mv ${TMP_DIR}/${HISTORY_FILE} ~/
   rm -rf ${TMP_DIR}
-  [ ${GREMLIN_SERVER} -eq 0 ] && kill ${GREMLIN_SERVER_PID} &> /dev/null
+  kill ${GREMLIN_SERVER_PID} &> /dev/null
   popd &> /dev/null
 }
 


[2/4] incubator-tinkerpop git commit: added 'gremlin at the movies' for jeremy hannas movielens tutorial.

Posted by dk...@apache.org.
added 'gremlin at the movies' for jeremy hannas movielens tutorial.


Project: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/commit/f8354fcf
Tree: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/tree/f8354fcf
Diff: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/diff/f8354fcf

Branch: refs/heads/TINKERPOP-818
Commit: f8354fcff2dc992063a793af6084fbfb7c05fdb9
Parents: 5e6d668
Author: Marko A. Rodriguez <ok...@gmail.com>
Authored: Fri Jan 22 09:52:16 2016 -0700
Committer: Marko A. Rodriguez <ok...@gmail.com>
Committed: Fri Jan 22 09:52:26 2016 -0700

----------------------------------------------------------------------
 docs/static/images/gremlin-tv.png | Bin 0 -> 654089 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/blob/f8354fcf/docs/static/images/gremlin-tv.png
----------------------------------------------------------------------
diff --git a/docs/static/images/gremlin-tv.png b/docs/static/images/gremlin-tv.png
new file mode 100644
index 0000000..6187d2c
Binary files /dev/null and b/docs/static/images/gremlin-tv.png differ


[4/4] incubator-tinkerpop git commit: Merge remote-tracking branch 'origin/master' into TINKERPOP-818

Posted by dk...@apache.org.
Merge remote-tracking branch 'origin/master' into TINKERPOP-818


Project: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/commit/40df5184
Tree: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/tree/40df5184
Diff: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/diff/40df5184

Branch: refs/heads/TINKERPOP-818
Commit: 40df5184d1fb8b97f4d32a3ecb51104f271eb168
Parents: d93c521 98a097e
Author: Daniel Kuppitz <da...@hotmail.com>
Authored: Sat Jan 23 17:06:36 2016 +0100
Committer: Daniel Kuppitz <da...@hotmail.com>
Committed: Sat Jan 23 17:06:36 2016 +0100

----------------------------------------------------------------------
 docs/preprocessor/preprocess.sh   |  19 ++++++++++---------
 docs/static/images/gremlin-tv.png | Bin 0 -> 654089 bytes
 2 files changed, 10 insertions(+), 9 deletions(-)
----------------------------------------------------------------------



[3/4] incubator-tinkerpop git commit: Merge branch 'TINKERPOP-943'

Posted by dk...@apache.org.
Merge branch 'TINKERPOP-943'


Project: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/commit/98a097eb
Tree: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/tree/98a097eb
Diff: http://git-wip-us.apache.org/repos/asf/incubator-tinkerpop/diff/98a097eb

Branch: refs/heads/TINKERPOP-818
Commit: 98a097eb7a77a498d81b0dd8e8d3cbc3560820e2
Parents: f8354fc 427806b
Author: Daniel Kuppitz <da...@hotmail.com>
Authored: Fri Jan 22 18:18:41 2016 +0100
Committer: Daniel Kuppitz <da...@hotmail.com>
Committed: Fri Jan 22 18:18:41 2016 +0100

----------------------------------------------------------------------
 docs/preprocessor/preprocess.sh | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)
----------------------------------------------------------------------